#version 330

in vec3 position;
in vec3 normal;

uniform mat4 projection;
uniform mat4 view;
uniform mat3 normalMatrix;
uniform mat4 model;

out vec3 gs_normal;

void main()
{
	gs_normal = normalize(normal*mat3(transpose(inverse(model*view))));
	gl_Position = projection * view * model * vec4(position,1);
}
