#version 330

layout(location = 0)in vec3 position;
layout(location = 1)in vec3 normal;

uniform mat4 projection;
uniform mat4 view;
uniform mat3 normalMatrix;
uniform mat4 model;

out vec3 fs_normal;

void main()
{
	fs_normal = normal*normalMatrix;
	gl_Position = projection * view * model * vec4(position,1);
}
